﻿# -*- coding: utf-8 -*-
import appuifw
import e32
import string
import graphics
import md5
from appuifw import *
from graphics import *
from moni import monitor

"""
作者：刘天斯
邮箱：liutiansi@gmail.com
最后更新：2008-01-26 11:27
功能：Linux服务器手机版(客户端脚本),系统基于pys60+socket开发；
"""

def handle_redraw(rect):
    canvas.blit(bgimage)

def exit_key_handler():
    app_lock.signal()
    appuifw.app.set_exit()
    
def handle_tab(index):
    global app
    global lb
    global canvas
    if index == 0:
        appuifw.app.body = canvas
    else:
        appuifw.app.body = app.getgetinfo(index)

if __name__ == '__main__':
    appuifw.app.set_tabs(["主界面".decode("utf8"), "数据区".decode("utf8"), "实时区".decode("utf8"), "帮助".decode("utf8")],handle_tab)
    app = monitor()
    #系统环境初始化；
    img=Image.new((208,196))
    try:
        bgimage=Image.open(u"e:\\System\\Apps\\monitor\\monitor.jpg")
    except IOError,e:
        appuifw.note(u"ERROR:"+e,"error")
    canvas=appuifw.Canvas(event_callback=None, redraw_callback=handle_redraw)
    appuifw.app.body = canvas
    appuifw.app.screen = 'normal'
    appuifw.app.title = "服务器管理1.0".decode("utf8")
    appuifw.app.exit_key_handler = exit_key_handler
    app_lock = e32.Ao_lock()
    

    #用户验证;
    Inputpasswd=appuifw.query("请输入管理密码：".decode("utf8"), "code")
    usermm=md5.new()
    usermm.update(Inputpasswd)
    if usermm.hexdigest()==app.sys_passwd():
        appuifw.note("验证通过！".decode("utf8"), "conf")
    else:
        appuifw.note("密码错误。".decode("utf8"), "error")
        app_lock.signal()
        appuifw.app.set_exit()
    app_lock.wait()
